Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 183499 - [69cat] [ruby][debugger] Debugging a project fails to open Output Window
[69cat] [ruby][debugger] Debugging a project fails to open Output Window
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: ehartmann
issues@ruby
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-05 16:08 UTC by esmithbss
Modified: 2010-04-09 04:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Small patch (1.29 KB, patch)
2010-04-06 14:38 UTC, ehartmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2010-04-05 16:08:42 UTC
[ BUILD # : 201004050201 ]
[ JDK VERSION : 1.6.* ]

When launching a RoR application in the debugger, the application starts, the
IDE is launched, but the output window is never opened.

If one has been opened previously, then a new tab is created for the debug
session, but if the window is closed, it is not automatically opened.
Comment 1 ehartmann 2010-04-06 14:38:32 UTC
Created attachment 96782 [details]
Small patch
Comment 2 ehartmann 2010-04-06 14:39:04 UTC
My scenario is :
1. Open netbeans,
2. Close the Output tab.
3. Debug or start netbeans by right-clicking on the project node
=> The output tab is not opened.

Here a small patch to open it automatically when a server is started.
Comment 3 Erno Mononen 2010-04-07 08:53:13 UTC
Thanks for the patch! I've applied it after a small change (introduced a utility method for getting the output window) in 036507ba8798.
Comment 4 Jiri Kovalsky 2010-04-07 11:08:39 UTC
Thanks Erno for review & integration and special thanks to Eric for your patch!
Comment 5 Quality Engineering 2010-04-09 04:54:02 UTC
Integrated into 'main-golden', will be available in build *201004090201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/036507ba8798
User: Erno Mononen <emononen@netbeans.org>
Log: #183499 - [69cat] [ruby][debugger] Debugging a project fails to open Output Window
- patch by ehartmann


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo